#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module

%define 	module	serial
Summary:	Serial port interface module
Summary(pl.UTF-8):	Moduł interfejsu do portu szeregowego
Name:		python-serial
Version:	2.7
Release:	4
License:	GPL
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/p/pyserial/pyserial-%{version}.tar.gz
# Source0-md5:	794506184df83ef2290de0d18803dd11
URL:		http://pyserial.wiki.sourceforge.net/pySerial
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
Requires:	python
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%description -l pl.UTF-8
Ten moduł opakowuje dostęp do portu szeregowego. Dostarcza backendy
dla Pythona działającego na Windows, Linuksie, BSD (być może dowolnym
systemie zgodnym z POSIX) oraz Jythona. Moduł o nazwie "serial"
automatycznie wybiera właściwy backend.

%package -n	python3-%{module}
Summary:	Serial port interface module
Group:		Libraries/Python
Requires:	python3

%description -n python3-%{module}
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n miniterm
Summary:	Very simple serial terminal
Group:		Applications/Communications
Requires:	python%{?with_python3:3}-%{module} = %{version}-%{release}

%description -n miniterm
Very simple serial terminal written in Python.

%prep
%setup  -q -n pyserial-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base py2
%endif
%if %{with python3}
%{__python3} setup.py build --build-base py3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%{__python} setup.py build \
	--build-base py2 \
	install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialwin*" -exec rm {} \;
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%{__python3} setup.py build \
	--build-base py3 \
	install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{py3_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py3_sitescriptdir} -name "*serialwin*" -exec rm {} \;
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*egg-info
%{_examplesdir}/python-%{module}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/*egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%files -n miniterm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/miniterm.py
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-serial.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 74eee22
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 05dae7e
- python 3.4
- release 3 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> d0f6a6f
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d44bac7
- rel 2; package miniterm

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7080d45
- up to 2.7

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4441d88
- release 3 (by relup.sh)

* Thu Feb 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 01b42c1
- fixed python version requirements for python2 modules
- added bconds for both python2 and python3 modules
- rel. 2

* Thu Jan 26 2012 wrobell <wrobell@pld-linux.org> 0fc3a8e
- ver. 2.6
- user pypi download uri

* Wed Jun 01 2011 wrobell <wrobell@pld-linux.org> e7b81b1
- fixed installation of the python 2.x and 3.x packages

* Mon May 30 2011 wrobell <wrobell@pld-linux.org> 96dd273
- started to add python 2.x package for pyserial 2.5

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> b284450
- ver. 2.5 (for python 3 now, python 2 package to be done)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 23994b5
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bcdaf5c
- release 2

* Tue Jan 27 2009 wrobell <wrobell@pld-linux.org> 379e231
- ver. 2.4

* Sun Nov 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a1f26f
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 612b0b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f04dc3d
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 430d007
- unify sourceforge url

* Mon Oct 24 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 57953d5
- updated to 2.2

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> fd93ab9
- mass commit: remove obsolete BR: rpm-pythonprov

